package com.ruoyi.file.object;

import java.util.TimerTask;

public class DumpUploadTask extends TimerTask
{
    private final ProjectState state;

    public DumpUploadTask(ProjectState state)
    {
        this.state = state;
    }

    @Override
    public void run()
    {
        StateMachine.INSTANCE.AddState(state);
    }
}
